<?php

class ACMS_POST_Shop_Form_Checkout extends ACMS_POST_Shop
{
    function post()
    {
        $this->initVars();

        $Cart =& $this->extract('cart');
        $Cart->validate(new ACMS_Validator());
        
        if ( $this->alreadySubmit() ) {
            $this->screenTrans();
        }
        
        // $TEMP = $this->openCart();
        // $fds = $Cart->listFields();
        // foreach ( $fds as $fd ) {
        //  $TEMP[ $fd ][ $this->item_qty ] =  $Cart->get($fd);
        // }
        // $this->closeCart($TEMP);
        
        if ( ! $this->Post->isValidAll() ) {
            $this->Post->set('step', 'cart');
            return $this->Post;
        }

        if ( !!SID || config('shop_order_login') != 'required' ) {
            $this->Post->set('step', 'address');
            return $this->Post;
        } else {
            $this->setReferer($this->orderTpl, 'address');
            $this->screenTrans($this->loginTpl);
        }
    }
}